Bug 1011974 - oo-register-user fails to register 1st user
Summary: oo-register-user fails to register 1st user
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Pod   
(Show other bugs)
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Krishna Raman
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-25 13:29 UTC by mzimen
Modified: 2015-05-15 02:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 19:07:13 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mzimen 2013-09-25 13:29:08 UTC
Description of problem:

Fresh Origin installation at F19 fails at registration of the 1st user.


Steps to Reproduce:
1. http://openshift.github.io/documentation/oo_deployment_guide_puppet.html
2.
3.

Actual results:


[root@broker ~]# oo-register-user -l admin -p admin --username mzimen --userpass redhat

/usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/connection.rb:132:in `handle_response': Failed.  Response code = 401.  Response message = . (ActiveResource::UnauthorizedAccess)
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/connection.rb:115:in `request'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/connection.rb:98:in `block in post'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/connection.rb:218:in `with_auth'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/connection.rb:98:in `post'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/base.rb:1360:in `create'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/observing.rb:19:in `create_with_notifications'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/base.rb:1155:in `save'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/validations.rb:79:in `save_with_validation'
        from /usr/share/gems/gems/activeresource-3.2.13/lib/active_resource/observing.rb:19:in `save_with_notifications'
        from /usr/bin/oo-register-user:101:in `<main>'


[root@broker ~]# oo-accept-broker -v |grep -v INFO
NOTICE: SELinux is Enforcing
NOTICE: SELinux is  Enforcing
Failed to issue method call: No such file or directory
FAIL: service iptables not enabled;
FAIL: service iptables not running
FAIL: Datastore Password has been left configured as the default 'mooo'
        -- please reconfigure and ensure the DB user's password matches.
FAIL: Datastore Password has been left configured as the default 'mooo'
        -- please reconfigure and ensure the DB user's password matches.
4 ERRORS

Comment 2 Krishna Raman 2013-12-09 17:51:54 UTC
Fixed in latest builds and on Release 3 of Origin

Comment 3 zhaozhanqi 2014-01-03 08:56:24 UTC
Verified this issue on origin on fedora19 installed by 'oo-install'

Not found this command 'oo-register-user', I'm not sure if it has changed to others. Close this bug temporary. we will reopen this bug once found similar issue.

Comment 4 Luke Meyer 2014-01-21 14:42:25 UTC
I think oo-register-user was something specific to the mongodb user auth plugin, which I hope has been replaced as a default by htpasswd auth. oo-admin-ctl-user now allows adding users to mongo too.


Note You need to log in before you can comment on or make changes to this bug.